<!-- Displays all teams. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/index.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class="page-tlt">
        <h1> Talon <span class = "red-text"> 540 </span> <br>Scouting Portal</br> </h1> 
        <div class="right-triangle-decoration"></div>

    </div>
    
    <div class = "add-match"> <a href="{% url 'scouting:newmatchform' %}"> <i class="fas fa-plus"></i> Add Match</a> </div>
    
    <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a> 

    <h2 class = "comp-header">Teams</h2>
    {% if teams %}
        <br>
        <ul>
            <div style="overflow-x:auto;">
                <table id = "matchTable">
                    {% for t in teams %}
                        <tr><th> Team {{ t.TeamNum }} </th></tr>
                        <tr><td><a href = "{% url 'scouting:indexTeamAllIR' t.id %}"> 2020 - Infinte Recharge</a></td></tr>
                        <tr><td><a href = "{% url 'scouting:indexTeamAll' t.id %}"> 2019 - Deep Space</a></td></tr>
                    {% endfor %}
                </table>
            </div>
        </ul>
        <br>
        
    {% else %}
        <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
    {% endif %}

{% endblock %}
